Map issue with OpenMPI 4.0.4 and PGI compilers
Article mis en ligne le 13 octobre 2020

MAP may not generated .map file with application compiled with OpenMPI 4.0.4 and PGI compilers.
As a workaround a compilation with level optimisation ’-O1’ can circumvent the problem.

To use OpenMPI 4.0.4 compiled with PGI and level optimisation = ’-O1’ :

#!/bin/bash

module purge
module load cuda/10.1.105
module load pgi/19.10
module load arm/20.1.2


export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/openmpi/pgi/openmpi404_pg1910_-O1_cuda101105_ucx18_gdrcopy2/lib
export PATH=$PATH:/usr/local/openmpi/pgi/openmpi404_pg1910_-O1_cuda101105_ucx18_gdrcopy2/bin